Mailinglist Archive: opensuse-factory (454 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20171222 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20171222

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
NetworkManager-applet
WindowMaker
amarok
btrfsmaintenance
device-mapper (1.02.145 -> 1.02.146)
fwupd (1.0.0 -> 1.0.2)
gstreamer-plugins-ugly
gwenhywfar (4.17.0 -> 4.18.0)
htmldoc (1.8.28 -> 1.9.1)
kdebase4-runtime
kdelibs4
kf5-filesystem
kmag (17.08.3 -> 17.12.0)
kmousetool (17.08.3 -> 17.12.0)
ksmtp
libbluray
libfm
libsndfile
libvorbis
libzip (1.2.0 -> 1.3.2)
lvm2 (2.02.176 -> 2.02.177)
net-snmp
obs-service-set_version (0.5.7 -> 0.5.8)
parted
plymouth (0.9.2+git20170424.6fd5c6b -> 0.9.3+git20171130.fa66a5b)
polkit-default-privs
python-asn1crypto (0.23.0 -> 0.24.0)
qemu (2.10.1 -> 2.11.0)
qemu-linux-user (2.10.1 -> 2.11.0)
ruby-common
ruby2.4 (2.4.2 -> 2.4.3)
sddm (0.15.0 -> 0.17.0)
subversion
systemd-presets-branding-openSUSE
tigervnc
virt-manager
xen (4.10.0_06 -> 4.10.0_08)

=== Details ===

==== NetworkManager-applet ====
Subpackages: NetworkManager-applet-lang NetworkManager-connection-editor
libnm-gtk0 libnma0 nma-data typelib-1_0-NMGtk-1_0

- Drop nm-applet-migration-tool.patch: Not needed anymore.
- Re-introduce lost -Denable-appindicator meson parameter: with the
migration to meson this was lost (but is still supported).

==== WindowMaker ====

- Add WindowMaker-0.95.8-reproducible.patch to make build reproducible

==== amarok ====
Subpackages: amarok-lang

- Do not build against QCA

==== btrfsmaintenance ====

- Switch default of btrfsmaintenance-refresh.service to systemd-timer,
too (btrfsmaintenance-switch-to-timer.patch) [bsc#1073204]

==== device-mapper ====
Version update (1.02.145 -> 1.02.146)
Subpackages: libdevmapper-event1_03 libdevmapper1_03 libdevmapper1_03-32bit

- device-mapper.spec: fix wrong replacement of DM_VERSION (bsc#1072524)
- Fixes failure of some testcases caused by nc behavior change (bsc#1072624)
+ bug-1072624_test-lvmetad_dump-always-timed-out-when-using-nc.patch
- Refreshed fate-31841_fsadm-add-support-for-btrfs.patch
- Update to LVM2.2.02.177
When writing text metadata content, use complete 4096 byte blocks.
Change text format metadata alignment from 512 to 4096 bytes.
When writing metadata, consistently skip mdas marked as failed.
Refactor and adjust text format metadata alignment calculation.
Ensure _node_send_message always uses clean status of thin pool.
Fix lvmlockd to use pool lock when accessing _tmeta volume.
Report expected sanlock_convert errors only when retries fail.
Avoid blocking in sanlock_convert on SH to EX lock conversion.
Deactivate missing raid LV legs (_rimage_X-missing_Y_Z) on decativation.
Categorise I/O with reason annotations in debug messages.
Allow extending of raid LVs created with --nosync after a failed repair.
Command will lock memory only when suspending volumes.
Merge segments when pvmove is finished.
Activation code for pvmove automatically discovers holding LVs for resume.
Make a pvmove LV locking holder.
Do not change critical section counter on resume path without real resume.
Enhance activation code to automatically suspend pvmove participants.
Prevent conversion of thin volumes to snapshot origin when lvmlockd is used.
Add support for pvmove of cache and snapshot origins.
Avoid using precommitted metadata for suspending pvmove tree.
Deactivate activated LVs on error path when pvmove activation fails.
Add "io" to log/debug_classes for logging low-level I/O.
Avoid importing persistent filter in vgscan/pvscan/vgrename.
Fix memleak of string buffer when vgcfgbackup runs in secure mode.
Do not print error when clvmd cannot find running clvmd.
Prevent start of new merge of snapshot if origin is already being merged.
Fix offered type for raid6_n_6 to raid5 conversion (raid5_n).
Deactivate sub LVs when removing unused cache-pool.
Do not take backup with suspended devices.

==== fwupd ====
Version update (1.0.0 -> 1.0.2)

- Update to version 1.0.2:
+ Add a plugin for the Nitrokey Storage device
+ Add support for the original AVR DFU protocol
+ Allow different plugins to claim the same device
+ Allow quirks to set common USB properties
+ Move a common plugin functionality out to a new shared object
+ Optionally delay the device removal for better replugging
+ Set environment variables to allow easy per-plugin debugging
+ Use a SHA1 hash for the internal DeviceID
+ Add quirk for AT32UC3B1256 as used in the RubberDucky
+ Disable the dell plugin if libsmbios fails
+ Don't register for USB UDev events to later ignore them
+ Fix a possible buffer overflow when debugging ebitdo devices
+ Fix critical warning when more than one remote fails to load
+ Fix DFU attaching AVR32 devices like the XMEGA
+ Ignore useless Thunderbolt device types
+ Refactor ColorHug into a much more modern plugin
+ Release the Steelseries interface if getting the version failed
+ Remove autoconf-isms from the meson configure options
+ Show a nicer error message if the requirement fails
+ Sort the output of GetUpgrades correctly
- Changes from version 1.0.1:
+ Add support for HWID requirements
+ Add support for programming various AVR32 and XMEGA parts using DFU
+ Add the various DFU quirks for the Jabra Speak devices
+ Allow specifying the output file type for 'dfu-tool read'
+ Move the database of supported devices out into runtime loaded files
+ Support the IHEX record type 0x05
+ Use help2man to generate the man page at build time
+ Use the new quirk infrastructure for version numbers
+ Catch invalid Dell dock component requests
+ Correctly output Intel HEX files with > 16bit offset addresses
+ Do not try to verify the element write if upload is unsupported
+ Fix a double-unref when updating any 8Bitdo device
+ Fix crash when enumerating with Dell dock connected but with no UEFI
+ Fix uploading large firmware files over DFU
+ Format the BCD USB revision numbers correctly
+ Guess the DFU transfer size if it is not specified
+ Include the reset timeout as wValue to fix some DFU bootloaders
+ Make the error message clearer when sans fonts are missing
+ Support devices with truncated DFU interface data
+ Use the correct remote-specified username and passord when using fwupdmgr
+ Use the correct wDetachTimeOut when writing DFU firmware
+ Verify devices with legacy VIDs are actually 8Bitdo controllers
- Add help2man as BuildRequires.

==== gstreamer-plugins-ugly ====
Subpackages: gstreamer-plugins-ugly-lang

- Drop obsolete
gst-plugins-ugly:%%{_libdir}/gstreamer-%%{gst_branch}/libgstmad.so
Provides from orig-addon sub-package, no longer true nor needed.

==== gwenhywfar ====
Version update (4.17.0 -> 4.18.0)
Subpackages: gwenhywfar-devel gwenhywfar-lang libgwengui-cpp0
libgwengui-fox16-0 libgwengui-gtk2-0 libgwengui-qt5-0 libgwenhywfar60
libgwenhywfar60-plugins

- Re-enable Qt4 front-end, kmymoney still needs it for its kbanking
plugin
- BuildIgnore libopenssl-1_0_0-devel to avoid openssl conflict on
Tumbleweed
- Update to 4.18.0
+ show SSL certificate hashes as MD5, SHA1, and SHA512

==== htmldoc ====
Version update (1.8.28 -> 1.9.1)

- Update to new version 1.9.1:
* Fixed monospace font size issue
* Added support for reproducible builds
* Added limited support for the HTML 4.0 SPAN element
* Added (extremely limited) UTF-8 support for input files
* Fixed buffer underflow for (invalid) short HTML comments
* Now indent PRE text, by popular request.
* EPUB output now makes sure that <element property> is written
as <element property="property">.
* Now support both NAME and ID for table-of-contents targets.
* Added support for repeating a single header row for tables that
span multiple pages
* Added support for embedding the current filename/URL in the
header or footer
* Added EPUB support
* Added Markdown support
* Fixed a regression in header/footer image scaling
* Documentation updates
* Compiler fixes
* Fixed a bug when running HTMLDOC as a macOS application.
* Updated the bundled libpng to v1.6.29.
* And many more
- Drop upstreamed htmldoc-cups_rand.patch and no longer needed
htmldoc-docpath.diff
- Lots of spec file cleaning
- Use gnutls/gcrypt for crypto support as openssl support is gone

==== kdebase4-runtime ====

- Do not build against QCA

==== kdelibs4 ====
Subpackages: kdelibs4-core libkde4 libkdecore4 libksuseinstall1

- Do not build against QCA

==== kf5-filesystem ====

- Add a new macro for debug category file installation
(*.categories)
- Move macros.kf5 to /usr/lib/rpm/macros.d/

==== kmag ====
Version update (17.08.3 -> 17.12.0)
Subpackages: kmag-lang

- Update to 17.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.0.php
- Changes since 17.11.80:
* None
- Update to 17.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12-beta.php
- Changes since 17.08.3:
* Add install to Cmake
* Add appstream appdata file
* Add the Comment field to the desktop file (kde#351953)

==== kmousetool ====
Version update (17.08.3 -> 17.12.0)
Subpackages: kmousetool-lang

- Update to 17.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.0.php
- Changes since 17.11.80:
* None
- Update to 17.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12-beta.php
- Changes since 17.08.3:
* None

==== ksmtp ====
Subpackages: ksmtp-lang libKPimSMTP5

- Add patch to fix sending of emails over SSL (without STARTTLS):
* 0001-Fix-duplicate-authentication.patch
* Fixes kde#388068, kde#387926 and boo#1073975

==== libbluray ====

- Modified patch:
* libbluray-java9.patch
+ Some change in hunks integrating upstream fixes that were
partially different from ours.
- BuildConflict with jdk10 or higher, since some removal of
deprecated SecurityManager functions makes BD-J not buildable
with jdk10

==== libfm ====
Subpackages: libfm-gtk4 libfm-lang libfm4

- bsc#1073719: Fix build with gtk-doc 1.27:
* Add libfm-1.2.5-gtk-doc-workaround.patch

==== libsndfile ====
Subpackages: libsndfile-devel libsndfile1

- Fix VUL-0: divide-by-zero error exists in the function
double64_init() in double64.c (CVE-2017-14634, bsc#1059911):
0030-double64_init-Check-psf-sf.channels-against-upper-bo.patch
- Tentative fix for VUL-0: out of bounds read in the function
d2alaw_array() in alaw.c (CVE-2017-14245, bsc#1059912) and
VUL-0: out of bounds read in the function d2ulaw_array() in
ulaw.c (CVE-2017-14246, bsc#1059913):
0031-sfe_copy_data_fp-check-value-of-max-variable.patch

==== libvorbis ====
Subpackages: libvorbis-devel libvorbis0 libvorbis0-32bit libvorbisenc2
libvorbisfile3 libvorbisfile3-32bit

- Fix VUL-0: out-of-bounds array read vulnerability exists in
function mapping0_forward() (CVE-2017-14633, bsc#1059811):
0001-CVE-2017-14633-Don-t-allow-for-more-than-256-channel.patch
- Fix VUL-0: Remote Code Execution upon freeing uninitialized
memory in function vorbis_analysis_headerout(CVE-2017-14632,
bsc#1059809):
0002-CVE-2017-14632-vorbis_analysis_header_out-Don-t-clea.patch

==== libzip ====
Version update (1.2.0 -> 1.3.2)
Subpackages: libzip-devel libzip5

- updated to version 1.3.2:
* Fix bug introduced in last: zip_t was erroneously freed if zip_close()
failed.
* Install zipconf.h into ${PREFIX}/include
* Add zip_libzip_version()
* Fix AES tests on Linux
* Support bzip2 compressed zip archives
* Improve file progress callback code
* Fix zip_fdopen()
* CVE-2017-12858: Fix double free()
* CVE-2017-14107: Improve EOCD64 parsing
- removed patches (upstreamed)
* libzip-CVE-2017-12858.patch
* libzip-CVE-2017-14107.patch
- added patch (fixed in head)
* libzip-uninitialized-value.patch

==== lvm2 ====
Version update (2.02.176 -> 2.02.177)
Subpackages: liblvm2app2_2 liblvm2cmd2_02

- device-mapper.spec: fix wrong replacement of DM_VERSION (bsc#1072524)
- Fixes failure of some testcases caused by nc behavior change (bsc#1072624)
+ bug-1072624_test-lvmetad_dump-always-timed-out-when-using-nc.patch
- Refreshed fate-31841_fsadm-add-support-for-btrfs.patch
- Update to LVM2.2.02.177
When writing text metadata content, use complete 4096 byte blocks.
Change text format metadata alignment from 512 to 4096 bytes.
When writing metadata, consistently skip mdas marked as failed.
Refactor and adjust text format metadata alignment calculation.
Ensure _node_send_message always uses clean status of thin pool.
Fix lvmlockd to use pool lock when accessing _tmeta volume.
Report expected sanlock_convert errors only when retries fail.
Avoid blocking in sanlock_convert on SH to EX lock conversion.
Deactivate missing raid LV legs (_rimage_X-missing_Y_Z) on decativation.
Categorise I/O with reason annotations in debug messages.
Allow extending of raid LVs created with --nosync after a failed repair.
Command will lock memory only when suspending volumes.
Merge segments when pvmove is finished.
Activation code for pvmove automatically discovers holding LVs for resume.
Make a pvmove LV locking holder.
Do not change critical section counter on resume path without real resume.
Enhance activation code to automatically suspend pvmove participants.
Prevent conversion of thin volumes to snapshot origin when lvmlockd is used.
Add support for pvmove of cache and snapshot origins.
Avoid using precommitted metadata for suspending pvmove tree.
Deactivate activated LVs on error path when pvmove activation fails.
Add "io" to log/debug_classes for logging low-level I/O.
Avoid importing persistent filter in vgscan/pvscan/vgrename.
Fix memleak of string buffer when vgcfgbackup runs in secure mode.
Do not print error when clvmd cannot find running clvmd.
Prevent start of new merge of snapshot if origin is already being merged.
Fix offered type for raid6_n_6 to raid5 conversion (raid5_n).
Deactivate sub LVs when removing unused cache-pool.
Do not take backup with suspended devices.

==== net-snmp ====
Subpackages: libsnmp30 net-snmp-devel perl-SNMP snmp-mibs

- Add net-snmp-5.7.3-modern-rpm-api.patch: Supprt modern RPM (>=
4.6) API. In RPM 4.14, the RPM 4.4 compatibility APIs are being
removed.

==== obs-service-set_version ====
Version update (0.5.7 -> 0.5.8)

- Update to version 0.5.8:
* fixes boo#1072359
* code cleanup and some refactoring
* cli options --debug and --regex
* new targets (test/clean) for Makefile
* initial .gitignore
* Mention that tests may take some time in README.md
* Fix pip/zypper tests for python3
* enforce files to be decoded as UTF-8
* Don't let version check get beyond path boundary
* Slightly reorganize README.md file

==== parted ====
Subpackages: libparted0 parted-lang

- fatresize: Fix getting the device name from partition name
(boo#959181)
- add: fatresize-fix-getting-dev-name.patch

==== plymouth ====
Version update (0.9.2+git20170424.6fd5c6b -> 0.9.3+git20171130.fa66a5b)
Subpackages: libply-boot-client4 libply-splash-core4 libply-splash-graphics4
libply4 plymouth-dracut plymouth-plugin-label plymouth-plugin-label-ft
plymouth-plugin-script plymouth-scripts

- Update to version 0.9.3+git20171130.fa66a5b:
* INSTALL: Fix a spelling error in the command example
* populate-initrd: handle themes with subdirs
* device-manager: fall back to text mode if graphical devices
fail
* scripts: Use >&2 instead of /dev/stderr
* terminal: add include for sysmacros.h
* configure: bump to 0.9.4
* terminal-session: don't delete boot.log
* Revert "Make boot.log world readable by default"
- Rebase 0002-Install-label-ft-plugin-into-initrd-if-available.patch

==== polkit-default-privs ====

- polkit-default-privs: added connectivity-check for NetworkManager
(bnc#1072702)

==== python-asn1crypto ====
Version update (0.23.0 -> 0.24.0)
Subpackages: python2-asn1crypto python3-asn1crypto

- update to version 0.24.0:
* x509.Certificate().self_signed will no longer return "yes" under
any circumstances. This helps prevent confusion since the library
does not verify the signature. Instead a library like oscrypto
should be used to confirm if a certificate is self-signed.
* Added various OIDs to x509.KeyPurposeId()
* Added x509.Certificate().private_key_usage_period_value
* Added structures for parsing common subject directory attributes
for X.509 certificates, including x509.SubjectDirectoryAttribute()
* Added algos.AnyAlgorithmIdentifier() for situations where an
algorithm identifier may contain a digest, signed digest or
encryption algorithm OID
* Fixed a bug with
x509.Certificate().subject_directory_attributes_value not
returning the correct value
* Fixed a bug where explicitly-tagged fields in a core.Sequence()
would not function properly when the field had a default value
* Fixed a bug with type checking in pem.armor()

==== qemu ====
Version update (2.10.1 -> 2.11.0)
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-rbd qemu-block-ssh qemu-extra qemu-ipxe qemu-ksm
qemu-kvm qemu-lang qemu-ppc qemu-s390 qemu-seabios qemu-sgabios qemu-tools
qemu-vgabios qemu-x86

- Update to v2.11.0: See http://wiki.qemu.org/ChangeLog/2.11
Some noteworthy changes:
- nodefconfig is now deprecated
legacy pci-assignment code removed
qemu-pr-helper added for handling guest persistant reservations (bsc#891066,
bsc#910704, bsc#943807)
qemu-keymap tool added for generating keymap files
throttle block filter driver added
support for a TPM emulator
qcow2 image shrink support
better support for >=64 vcpus for Windows guests
nested KVM related improvements
s390 pgste handling now done better
EPYC cpu model added (bsc#1052825)
improvements in qcow2 buffer handling
vhost-user resume issue fixed
migration hardening
ARMv8-M security extension support
more seccomp/sandboxing options available
s390 cpu hot-plug improvements
misc. virtfs improvements
nbd improvements
MTTCG improvements
misc. TCG improvements
scsi correctness improvements
SEABIOS now has serial output option
* Includes fixes for CVE-2017-15118 bsc#1070147, CVE-2017-15119 bsc#1070144
* Adds KASLR support (fate#323473, bsc#1070281)
* Update SLE support docs to match this release
* simplify spec file to expect at least sle_version >= 1315
* Patches dropped (upstream):
0013-console-add-question-mark-escape-op.patch
0020-configure-Fix-detection-of-seccomp-.patch
0034-target-i386-cpu-Add-new-EPYC-CPU-mo.patch
0035-chardev-baum-fix-baum-that-releases.patch
0036-io-fix-temp-directory-used-by-test-.patch
0037-io-fix-check-for-handshake-completi.patch
0038-crypto-fix-test-cert-generation-to-.patch
0039-vhost-user-disable-the-broken-subpr.patch
0040-io-monitor-encoutput-buffer-size-fr.patch
0041-cirrus-fix-oob-access-in-mode4and5-.patch
0042-9pfs-use-g_malloc0-to-allocate-spac.patch
* Patches renamed:
0014-Make-char-muxer-more-robust-wrt-sma.patch
- > 0013-Make-char-muxer-more-robust-wrt-sma.patch
0015-linux-user-lseek-explicitly-cast-no.patch
- > 0014-linux-user-lseek-explicitly-cast-no.patch
0016-AIO-Reduce-number-of-threads-for-32.patch
- > 0015-AIO-Reduce-number-of-threads-for-32.patch
0017-xen_disk-Add-suse-specific-flush-di.patch
- > 0016-xen_disk-Add-suse-specific-flush-di.patch
0018-qemu-bridge-helper-reduce-security-.patch
- > 0017-qemu-bridge-helper-reduce-security-.patch
0019-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
- > 0018-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
0021-linux-user-properly-test-for-infini.patch
- > 0019-linux-user-properly-test-for-infini.patch
0022-roms-Makefile-pass-a-packaging-time.patch
- > 0020-roms-Makefile-pass-a-packaging-time.patch
0023-Raise-soft-address-space-limit-to-h.patch
- > 0021-Raise-soft-address-space-limit-to-h.patch
0024-increase-x86_64-physical-bits-to-42.patch
- > 0022-increase-x86_64-physical-bits-to-42.patch
0025-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
- > 0023-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
0026-i8254-Fix-migration-from-SLE11-SP2.patch
- > 0024-i8254-Fix-migration-from-SLE11-SP2.patch
0027-acpi_piix4-Fix-migration-from-SLE11.patch
- > 0025-acpi_piix4-Fix-migration-from-SLE11.patch
0028-Fix-tigervnc-long-press-issue.patch
- > 0026-Fix-tigervnc-long-press-issue.patch
0029-string-input-visitor-Fix-uint64-par.patch
- > 0027-string-input-visitor-Fix-uint64-par.patch
0030-test-string-input-visitor-Add-int-t.patch
- > 0028-test-string-input-visitor-Add-int-t.patch
0031-test-string-input-visitor-Add-uint6.patch
- > 0029-test-string-input-visitor-Add-uint6.patch
0032-tests-Add-QOM-property-unit-tests.patch
- > 0030-tests-Add-QOM-property-unit-tests.patch
0033-tests-Add-scsi-disk-test.patch
- > 0031-tests-Add-scsi-disk-test.patch
0043-scripts-avoid-usr-bin-python-refere.patch
- > 0032-scripts-avoid-usr-bin-python-refere.patch
* We need the multipath libraries link order switched
0033-Switch-order-of-libraries-for-mpath.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11

==== qemu-linux-user ====
Version update (2.10.1 -> 2.11.0)

- Update to v2.11.0: See http://wiki.qemu.org/ChangeLog/2.11
Some noteworthy changes:
misc TCG and linux user improvements
* Drop very old compatability provisions
* Patches dropped (upstream):
0013-console-add-question-mark-escape-op.patch
0020-configure-Fix-detection-of-seccomp-.patch
0034-target-i386-cpu-Add-new-EPYC-CPU-mo.patch
0035-chardev-baum-fix-baum-that-releases.patch
0036-io-fix-temp-directory-used-by-test-.patch
0037-io-fix-check-for-handshake-completi.patch
0038-crypto-fix-test-cert-generation-to-.patch
0039-vhost-user-disable-the-broken-subpr.patch
0040-io-monitor-encoutput-buffer-size-fr.patch
0041-cirrus-fix-oob-access-in-mode4and5-.patch
0042-9pfs-use-g_malloc0-to-allocate-spac.patch
* Patches renamed:
0014-Make-char-muxer-more-robust-wrt-sma.patch
- > 0013-Make-char-muxer-more-robust-wrt-sma.patch
0015-linux-user-lseek-explicitly-cast-no.patch
- > 0014-linux-user-lseek-explicitly-cast-no.patch
0016-AIO-Reduce-number-of-threads-for-32.patch
- > 0015-AIO-Reduce-number-of-threads-for-32.patch
0017-xen_disk-Add-suse-specific-flush-di.patch
- > 0016-xen_disk-Add-suse-specific-flush-di.patch
0018-qemu-bridge-helper-reduce-security-.patch
- > 0017-qemu-bridge-helper-reduce-security-.patch
0019-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
- > 0018-qemu-binfmt-conf-use-qemu-ARCH-binf.patch
0021-linux-user-properly-test-for-infini.patch
- > 0019-linux-user-properly-test-for-infini.patch
0022-roms-Makefile-pass-a-packaging-time.patch
- > 0020-roms-Makefile-pass-a-packaging-time.patch
0023-Raise-soft-address-space-limit-to-h.patch
- > 0021-Raise-soft-address-space-limit-to-h.patch
0024-increase-x86_64-physical-bits-to-42.patch
- > 0022-increase-x86_64-physical-bits-to-42.patch
0025-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
- > 0023-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
0026-i8254-Fix-migration-from-SLE11-SP2.patch
- > 0024-i8254-Fix-migration-from-SLE11-SP2.patch
0027-acpi_piix4-Fix-migration-from-SLE11.patch
- > 0025-acpi_piix4-Fix-migration-from-SLE11.patch
0028-Fix-tigervnc-long-press-issue.patch
- > 0026-Fix-tigervnc-long-press-issue.patch
0029-string-input-visitor-Fix-uint64-par.patch
- > 0027-string-input-visitor-Fix-uint64-par.patch
0030-test-string-input-visitor-Add-int-t.patch
- > 0028-test-string-input-visitor-Add-int-t.patch
0031-test-string-input-visitor-Add-uint6.patch
- > 0029-test-string-input-visitor-Add-uint6.patch
0032-tests-Add-QOM-property-unit-tests.patch
- > 0030-tests-Add-QOM-property-unit-tests.patch
0033-tests-Add-scsi-disk-test.patch
- > 0031-tests-Add-scsi-disk-test.patch
0043-scripts-avoid-usr-bin-python-refere.patch
- > 0032-scripts-avoid-usr-bin-python-refere.patch
* Patches added:
0033-Switch-order-of-libraries-for-mpath.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11

==== ruby-common ====

- switch requires of the autogenerated subpackages from
rb_suffix-rubygem-gemname = version to
rubygem(rb_abi:gemname) = version
- split our the rails part
- we need bundler now. given ruby 2.5 will have it intree anyway,
this soon wont be a big burden.
- add support to generate requires from Gemfile.lock
- package the buildinfo dir
- allow passing options to extconf.rb

==== ruby2.4 ====
Version update (2.4.2 -> 2.4.3)
Subpackages: libruby2_4-2_4 ruby2.4-devel ruby2.4-stdlib

- switch to https urls
- update to 2.4.3 (boo#1073002)
This release includes some bug fixes and a security fix.
CVE-2017-17405: Command injection vulnerability in Net::FTP
https://www.ruby-lang.org/en/news/2017/12/14/ruby-2-4-3-released/
- update the versions for the bundled gem list
- drop configure-2.4.2.diff as it is included upstream

==== sddm ====
Version update (0.15.0 -> 0.17.0)
Subpackages: sddm-branding-openSUSE

- Update to 0.17.0:
+ Added possibility to change border width of ComboBox widget.
+ Added missing utmp/wtmp/btmp handling.
+ Make greeter see icons set by AccountsServices.
- Fix sddm.conf man page syntax error and update.
- Fix ComboBox widget.
- Fix connection of PropertiesChanged event for LogindSeat.
- Avoid race conditions with Xsetup.
* Update de translation.
* Update lt translation.
* Update zh_TW translation.
* Adjust order of components in the default PATH.
* Set default input method to qtvirtualkeyboard.
- Update to 0.16.0:
+ Support non-latin characters in theme settings.
+ Support fish shell in Xsession and wayland-session.
+ Unlock GNOME keyring at login.
+ Configuration directory.
- Make the default cursor themed.
- Update date and time in elarun theme.
- Fix theme metadata default values.
- Fix session selection in elarun.
- Do not truncate XAUTHORITY on login.
- Make enabled property of Button functional.
- Fix typos in documentation.
* Re-use existing sessions.
* Add ConsoleKit 2 support.
* Stop assuming shadow(5) is always available.
* Explicitely set XDG_SEAT when starting a user session.
* Suppress errors when pam_elogind is not available.
* Suppress errors when pam_systemd is not available.
* Added possibility to change color of dropdown menu.
* Add Hindi translation.
* Completed Swedish translation.
* Update French translation.
- Move to system configuration dirs, replace sddm.conf with
00-general.conf and 10-theme.conf
- Refresh patches:
* 0001-Revert-Rename-XDisplay-and-WaylandDisplay-config-sec.patch
* proper_pam.diff
- Rename patches:
* sysconfig-support.patch:
0001-Read-the-DISPLAYMANAGER_AUTOLOGIN-value-from-sysconf.patch
* create_pid_file.patch:
0001-Write-the-daemon-s-PID-to-a-file-on-startup.patch
- Remove patches, now upstream:
* 0001-Do-not-truncate-XAUTHORITY-file-on-login.patch

==== subversion ====
Subpackages: libsvn_auth_gnome_keyring-1-0 subversion-bash-completion
subversion-devel subversion-perl subversion-python subversion-server
subversion-tools

- BuildConflict with jdk10 or higher. The build uses extensively
the javah tool which is removed in jdk10.

==== systemd-presets-branding-openSUSE ====

- Enable lvm2-monitor.service by default (bsc#1072492)

==== tigervnc ====

- Do not mess with /usr/lib*64)?/debug: this is RPM's playground
for debuginfo packages.
- Added patch:
* tigervnc-1.8.0-nowindows.patch
+ Remove Windows code that is removed from jdk10

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- Get rid of "TypeError: Couldn't find foreign struct converter for
'cairo.Context'" errors by adding a dependency to python3-cairo.
(bsc#1062865)
- Python3: Fix 'local variable 'e' referenced before assignment'
0001-py3-store-exception-variables-for-use-outside-except.patch
(bsc#1073594)
- Fix TypeError in inspection.py (bsc#1070896)
virtman-python2-to-python3-conversion.patch
- Fix openSUSE 15.0 detection. It has no content file or .treeinfo
file (bsc#1054986)
virtinst-add-sle15-detection-support.patch

==== xen ====
Version update (4.10.0_06 -> 4.10.0_08)
Subpackages: xen-doc-html xen-libs xen-tools xen-tools-domU

- Update to Xen 4.10.0 FCS (fate#321394, fate#322686)
xen-4.10.0-testing-src.tar.bz2
- Rebuild initrd if xen-tools-domU is updated
- Update to Xen 4.10.0-rc8 (fate#321394, fate#322686)
xen-4.10.0-testing-src.tar.bz2


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages